Skip to content

Update License Plate / Actualizar Placa

PUT
/external/placa
curl --request PUT \
--url https://api-dev.zonaparqueo.com/external/placa \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "placa": "example", "tipo_vehiculo": "example", "marca": "example", "color": "example", "electrico": 0, "minusvalido": 0 }'

Updates information for an already-registered license plate (brand, model, color, electric, disabled).

Media typeapplication/json
object
placa
required

License plate

string
tipo_vehiculo
required

Vehicle type

string
marca

Vehicle brand (optional)

string
color

Vehicle color (optional)

string
electrico

1: is electric; 0: is not electric (optional)

integer
Allowed values: 0 1
minusvalido

1: is disabled; 0: is not disabled (optional)

integer
Allowed values: 0 1

Plate updated successfully

Media typeapplication/json
object
estado
string
Allowed values: ok
data

Response data

object
Examples
Examplesuccess
{
"estado": "ok",
"data": {
"message": "Placa actualizada correctamente"
}
}

Validation error

Media typeapplication/json
object
estado
string
Allowed values: fail
error

Error message

string
errores

Field-specific error details

object
Example
{
"estado": "fail"
}